Download it now!
Bug 114775 - Crash when deleting some rows
Summary: Crash when deleting some rows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.1.0 target:6.0.0.2
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2017-12-30 22:58 UTC by Julien Nabet
Modified: 2018-01-01 01:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (5.14 KB, text/plain)
2017-12-30 22:59 UTC, Julien Nabet
Details
tail of terminal output from bibisect (1.92 KB, text/plain)
2017-12-31 21:23 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2017-12-30 22:58:24 UTC
Description:
On pc Debian x86-64 with master sources updated yesterday, I got a crash when I try to delete some rows.

Steps to Reproduce:
1. Open a brand new odb file (hsqldb or firebird, whatever)
2. Create a simple table and insert at least 1 row 
3. Save
4. Open the table and select all the row
5. Try to delete them


Actual Results:  
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Julien Nabet 2017-12-30 22:59:11 UTC
Created attachment 138757 [details]
bt with debug symbols
Comment 2 raal 2017-12-31 06:47:43 UTC
No repro with Version: 6.1.0.0.alpha0+
Build ID: 88f6ffeb9e0c0b942c2b0bc9d60af7bb7a6caaf8
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3;
Comment 3 Julien Nabet 2017-12-31 14:53:17 UTC
raal: just for curiosity, do you use 32 or 64 bits OS?
Comment 4 Terrence Enger 2017-12-31 21:23:38 UTC
Created attachment 138775 [details]
tail of terminal output from bibisect

Working on debian-buster with the daily Linux dbgutil bibisect
repository, I see that the bug entered LibreOffice somewhere in the
range:

          commit    date        s-h
          --------  ----------  --------
    good  e913f232  2017-12-14  83fb512a
    bad   e82f2568  2017-12-15  acc24edf

I am setting keywords regression, bibisected.
Comment 5 Commit Notification 2018-01-01 01:02:41 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=953fd82f2319fc84771c8ac209d63f045a480138

tdf#114775: fix crash when deleting some rows

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-01-01 01:06:09 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1823d8d0f1a1f29db8cb4bfbfbf2b7b2c94dcbb7&h=libreoffice-6-0

tdf#114775: fix crash when deleting some rows

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.